• Priority: Critical
  • Status: Closed
  • Closed by: Marek (marek)
  • Closed on: 13.01.19, 17:14
  • Reason: Closed
  • Comment: Glad to help!

Ticket #13504 - error when upgrade to 1.7.5

I have tryed to upgrade to prestashop 1.7.5 and some functions does not work!!! but other functions that in 1.7.4 does not work, they work in 1.7.5, like mail alerts... so, i can not upfgrade to the latest version

i have rolled back to the previous version.. the other message I have sent to you are about 1.7.4. if the update to 1.7.5 is possible, perhaps many errors I have desribed previously to you are solved... but I see in themeforest that your theme is not compatible with 1.7.5?

when I will be possible to upgrade?

waiting for ypur reply!

thanks

jou

This ticket does not depend on any other tickets.

Marek (marek) 09 Jan 2019, 09:59

Yes, we have test it out on Prestashop 1.7.5 and all was fine. I need more details about problems you have, maybe some error messages

jou tarrat (joutm) 09 Jan 2019, 16:52

if you want, to can update to 1.7.5 and you will see that:
- some buttons are not on the correct position
- add to card does not work
- the stock and descriptions in the product page does not work

then, you can roll back to the current version, 1-7-4-3 and all works as now.

so, how do you need to know these problem details?

Marek (marek) 09 Jan 2019, 16:57

Yes, that would be fine for me. Please let me know when upgrade will finish

jou tarrat (joutm) 09 Jan 2019, 17:50

we can program an upgrade to be you and me in front of the computer. when is good for you?

Marek (marek) 09 Jan 2019, 17:51

Would be better tomorrow at 11:00 AM GMT+1

jou tarrat (joutm) 09 Jan 2019, 18:50

i’m in spain with GMT +1, like you.
i will arrive at home at 14h. so, we can meet from 14h. Or you can try to update to 1.7.5 before 14h and try all is working well after upgrade. I have a backup of before the upgrade. so, you can make a test.
but we need to solve the problems that appears now after roll back after the upgrade... because many features are not working after try to upgrade, while before was working almost all...

thanks

Marek (marek) 09 Jan 2019, 18:52

Ok, I’ll try to update tomorrow in the morning

jou tarrat (joutm) 09 Jan 2019, 20:22

Perfect. Now, I have rolled back manually to the version 1.7.4.3 and now the website works exactly as yesterday... moments before upgrade. So, it means that with your help, now the “search” and “mail alert” and other things are working now.

So, try to update you tomorrow to 1.7.5 and if you have success it will be perfect. If not, try to solve the appeared problems. We can always roll back to the current stable version 1.7.4.3 because I have a backup of the ftp and mysql

some tips for you about the problems after upgrade were:
1- some buttons in admin page where disalignated (they are now well positioned graphically)
2- the options to “add to cart” is disabled in the product page
3- in the product list miniature must apprears the summary. after upgrade, the summary does not appear
4- after upgrade, the stock does not work
5- the shippment are not working wel..

finally, during the upgrade process with 1click module, before it finish, returns an error... saying that it not possible to finalize the upgrade. but after this sentence, appeared a sentence saying that the upgrade was successfull. So, the upgrade were not success because the 5 errors i exposed to you before...
test the website a little bit before the upgrade to see if the same functionalities as working after upgrade.

many thanks!

PD: i’m sorry to have just few time, but monday we need to inaugurate website because we have a fair in Paris on 15th january and we would like that on monday all works well.

Marek (marek) 10 Jan 2019, 18:19

1. that is not related to the theme
2. for some reason variable “$configuration.is_catalog” doesn’t works anymore despite I still see it in the native prestashop theme. I have replace it with “Configuration::get(’PS_CATALOG_MODE’)” variable
3. Product summary has been disabled in the Theme Settings http://take.ms/Pp42M

4. Where it should be and how it looks like, I mean “stocks”?
5. I’m not able to add any product to cart to test out shipment option

jou tarrat (joutm) 11 Jan 2019, 15:49

Hi,

I see that you have upgraded to 1-7-5, but the errors i exposed are the same. So, because we have to need this website active on monday, I have rolled back to 1.7.4.3, because this version works fine now.

So, We have decided to keep now version 1.7.4.3 and perhaps we will upgrade in the future

from now, i will send you different problems of this version 1-7-4-3.

thanks for your help and we keep from now 1.7.4.3. we don’t want to try to upgrade anytime

regards

Marek (marek) 11 Jan 2019, 17:48

Ok, I see. Strange issue, because all works fine on my localhost. I’ll try to make more upgrade tests

Loading...